// components/search/search.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    top: {
      type: Number,
      value: 0
    },
    placeholder: {
      type: String,
      value: '请输入要搜索的内容'
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    search(e) {
      let value = e.detail.value
      this.triggerEvent('search', {
        value
      })
    }
  }
})